Subject: Re: bug#65905: 30.0.50; Consider changing info buffer names to info<(org)> rather than info<3>

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Sep 2023 15:58:41 +0300

> From: Vladimir Nikishkin <[email-masked]>
> Date: Wed, 13 Sep 2023 12:09:48 +0800
> 
> 
> Dear Emacs Developers,
> 
> I would like to ask for a small usability improvement to Emacs. Could we
> name info buffers as "info<(manual)>" (or, maybe, just
> "info<org.info>"), not as "info<3>"? I do not always remember in which
> order I open info manuals, and having a file name in the buffer name
> should be nice an easily readable.

Did you try using "C-h R"?  It will find the existing Info buffer
without your need to remember any numbers.  Just type

  C-h R org RET

I have dozens of Info manuals in my Emacs sessions, and I always use
"C-h R" to get to those whose numbers I don't remember (which is all
but the 2 Emacs manuals).